net.sf.jasperreports.engine.export

## Class JRExporterGridCell

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRExporterGridCell

- Direct Known Subclasses:
    ElementGridCell, ElementReplacementGridCell, EmptyGridCell, OccupiedGridCell

      public abstract class JRExporterGridCell
      extends java.lang.Object

  Version:
    $Id: JRExporterGridCell.java 6086 2013-04-19 12:29:19Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE_ELEMENT_CELL`
    `static byte` | `TYPE_EMPTY_CELL`
    `static byte` | `TYPE_OCCUPIED_CELL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRExporterGridCell()`
    `protected` | `JRExporterGridCell(GridCellStyle style)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackcolor()`
    `JRLineBox` | `getBox()`
    `java.awt.Color` | `getCellBackcolor()`
    `int` | `getColSpan()`
    `abstract JRPrintElement` | `getElement()`
    `abstract java.lang.String` | `getElementAddress()`
    `java.awt.Color` | `getForecolor()`
    `int` | `getHeight()`
    `abstract java.lang.String` | `getProperty(java.lang.String propName)`
    `int` | `getRowSpan()`
    `abstract GridCellSize` | `getSize()`
    `GridCellStyle` | `getStyle()`
    `abstract byte` | `getType()`
    `int` | `getWidth()`
    `void` | `setBox(JRLineBox box)`
    `void` | `setStyle(GridCellStyle style)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_EMPTY_CELL

          public static final byte TYPE_EMPTY_CELL

      See Also:
        Constant Field Values

    - #### TYPE_OCCUPIED_CELL

          public static final byte TYPE_OCCUPIED_CELL

      See Also:
        Constant Field Values

    - #### TYPE_ELEMENT_CELL

          public static final byte TYPE_ELEMENT_CELL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRExporterGridCell

          public JRExporterGridCell()

    - #### JRExporterGridCell

          protected JRExporterGridCell(GridCellStyle style)

  - ### Method Detail

    - #### getSize

          public abstract GridCellSize getSize()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getColSpan

          public int getColSpan()

    - #### getRowSpan

          public int getRowSpan()

    - #### getStyle

          public GridCellStyle getStyle()

    - #### setStyle

          public void setStyle(GridCellStyle style)

    - #### getBackcolor

          public java.awt.Color getBackcolor()

    - #### getBox

          public JRLineBox getBox()

    - #### setBox

          public void setBox(JRLineBox box)

    - #### getForecolor

          public java.awt.Color getForecolor()

    - #### getCellBackcolor

          public java.awt.Color getCellBackcolor()

    - #### getType

          public abstract byte getType()

    - #### getElement

          public abstract JRPrintElement getElement()

    - #### getElementAddress

          public abstract java.lang.String getElementAddress()

    - #### getProperty

          public abstract java.lang.String getProperty(java.lang.String propName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com